<refentry id="informalfigure.element" revision='3.1'>
<?dbhtml filename="informalfigure.html"?>
<refentryinfo>
<pubdate>$Date: 2004-02-23 22:25:58 +0800 (Mon, 23 Feb 2004) $</pubdate>
<releaseinfo>$Revision: 3457 $</releaseinfo>
</refentryinfo>

<refmeta>
<indexterm><primary>elements</primary>
<secondary>informalfigure</secondary></indexterm>
<refentrytitle>informalfigure</refentrytitle>
<refmiscinfo>Element</refmiscinfo>
</refmeta>
<refnamediv>
<refname>informalfigure</refname>
<refpurpose>&informalfigure.purpose;</refpurpose>
</refnamediv>

&informalfigure.synopsis.gen;
<refsect1 condition='ref.description'><title>Description</title>

<para>
An <sgmltag>InformalFigure</sgmltag> is a figure without a title. Figures often
contain <sgmltag>Graphic</sgmltag>s, or other large display elements.
</para>

<refsect2><title>Processing expectations</title>
<para>&format.block;</para>
<note>
<para>It is an error to supply a <sgmltag>title</sgmltag> in the
<sgmltag>blockinfo</sgmltag> for an informal figure.</para>
</note>
</refsect2>


&informalfigure.parents.gen;
&informalfigure.children.gen;
</refsect1>
<refsect1 condition='ref.elem.attrdesc'><title>Attributes</title>
<variablelist>
<varlistentry><term>float</term>
<listitem>
<para>
If <sgmltag class="attribute">Float</sgmltag> has the value 1 (true), then the
processing system is free to move the figure to a convenient location.
(Where convenient location may be described in the style sheet or may
be application dependent.) A value of 0 (false) indicates that the
figure should be placed precisely where it occurs in the flow.
</para>
</listitem>
</varlistentry>
<varlistentry><term>label</term>
<listitem>
<para>
<sgmltag class="attribute">Label</sgmltag> specifies an identifying string for presentation purposes.
</para>
<para>
Generally, an explicit <sgmltag class="attribute">Label</sgmltag> attribute is
used only if the processing system is incapable of generating the label
automatically. If present, the <sgmltag class="attribute">Label</sgmltag> 
is normative; it will used even
if the processing system is capable of automatic labelling.
</para>
</listitem>
</varlistentry>
<varlistentry><term>pgwide</term>
<listitem>
<para>
If <sgmltag class="attribute">Pgwide</sgmltag> has the value 0 (false), then the
<sgmltag>InformalFigure</sgmltag> is rendered in the current text flow (with flow
column width). A value of 1 (true) specifies that the figure should be
rendered across the full text page.
</para>
</listitem>
</varlistentry>
</variablelist>
</refsect1>
<refsect1 condition='ref.elem.seealso'><title>See Also</title>
&informalfigure.seealso.gen;
</refsect1>
<refsect1><title>Examples</title>

<informalexample role="example-source">
<programlisting>&informalfigure.example.1.txt;</programlisting>
</informalexample>

<anchor id="ex.os.informalfigure.1" role="HACK-ex.out.start"/>
&informalfigure.example.1.gen;
<anchor id="ex.oe.informalfigure.1" role="HACK-ex.out.end"/>

&informalfigure.example.seealso.gen;
</refsect1>
</refentry>

